[CODE]
#If LoadResEx_SetLanguageFile Or LoadResEx_SetThemeFile Then
  Public Function LoadResEx_ClassicLoadPicture(ByVal ResID As Long, ByVal eObject As Object, Optional ByVal BmpNotIcon As Boolean = False, Optional ByVal UseBlackImage As Boolean, Optional ByVal TryThemeFile As Boolean = False) As Boolean
#Else
  Public Function LoadResEx_ClassicLoadPicture(ByVal ResID As Long, ByVal eObject As Object, Optional ByVal BmpNotIcon As Boolean = False, Optional ByVal UseBlackImage As Boolean) As Boolean
#End If
'
  Dim xLong1 As Long
  
  On Error GoTo Er2
  For xLong1 = LoadResex_Caps_WinDIcon To 0& Step -1&
    If UseBlackImage Then
      On Error GoTo Er1
      eObject.Picture = LoadResPicture(ResID + xLong1 + 5&, 1& + CLng(BmpNotIcon))
      LoadResEx_ClassicLoadPicture = True
      Exit For
Rs1:
      On Error GoTo Er2
      End If
    eObject.Picture = LoadResPicture(ResID + xLong1, 1& + CLng(BmpNotIcon))
    LoadResEx_ClassicLoadPicture = True
    Exit For
Rs2:
    Next
  If Not LoadResEx_ClassicLoadPicture Then
    On Error Resume Next
    eObject.Picture = LoadPicture()
    End If
  On Error GoTo 0
  GoTo Lbl1

Er1:
  Resume Rs1
Er2:
  Resume Rs2
Lbl1:
  End Function
